/**
 * Precode Plugin
 * http://insteps.net
 * Copyright (c) 2012-2023 V.Krishn (insteps.net)
 *
 * @version 2.2.0
 * @copyright Copyright (c) 2012-2023 V.Krishn. All rights reserved.
 * @license GPL License
 *
 * This file is part of Cookbook recipe "Precode" for PmWiki;
 * See accompanying package for license and more details.
 * Package: http://insteps.net/pr/a/pmwiki/Cookbook/Precode
 */

(function( Precode, undefined ) {
  Precode.version = '2.1.0';
  var Config = Precode.Config = function (config) {
    Precode.config = config;
  }
  Precode.codelines = {};
}( this.Precode = this.Precode || {} ) );

(function( Precode, undefined ) {
  var Setlinenum = Precode.Setlinenum = function (config) {
    Precode.Config(config);
    pres = config.nodes; if(typeof pres !== 'object') {
      pres = document.getElementsByTagName(pres); }
    for (var i = 0; i < pres.length; i++) {
      var pre = Precode.activepre = pres[i];
      var code = pre.firstChild;
      if(code && code.innerHTML !== undefined) {
        Precode.codelines[code.id] = '';
        var a = code.innerHTML.split(/\n/);
        Precode.codelines[code.id] = a.length;
        var t = "";
        if(/\slinenum/.test(pre.className)) {
          for (var j = 0; j < a.length; j++) {
            var lns = '<span class="numx"></span> ';
            var lne = "\n";
            a[j] = lns + a[j] + lne; t = t + a[j];
          }
          code.innerHTML = t;
        }
      }
    }
  }
}( Precode ) );

//var PRECODE_CONFIG = {"nodes" : "pre"};
//Precode.Setlinenum(PRECODE_CONFIG);

