<?php if (!defined('PmWiki')) exit();
/**
 * version.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2012-2023
 * @note This file is part of Cookbook recipe "Precode" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package precode
 */

/**
 * @note Array for all modules/cookbook
 */
    global $cookbook;

    $prefix = 'precode';
    $cookbook[$prefix]['name'] = 'precode';
    $cookbook[$prefix]['version'] = '2.2.1';
    $cookbook[$prefix]['versionnum'] = '2002001';
    $cookbook[$prefix]['description'][] = "General utility block markup for displaying codes on wiki pages";
    $cookbook[$prefix]['date']['datenum'] = '20230213';
    $cookbook[$prefix]['dependencies']['php']['version'] = "5.6.40";
    $cookbook[$prefix]['dependencies']['pmwiki']['version'] = "2.2.122+";
    $cookbook[$prefix]['author']['name'] = 'V.Krishn';
    $cookbook[$prefix]['author']['resource'][] = "http://www.insteps.net";
    $cookbook[$prefix]['author']['email'][] = 'vkrishn@insteps.net';
    $cookbook[$prefix]['comment'][] = "Compatible with PmWiki 2.2.x";
    $cookbook[$prefix]['licence'][] = "GNU General Public License/Free Software";

    /**
     * Cookbook guideline variable
     * @see http://www.pmwiki.org/wiki/Cookbook/ModuleGuidelines
    */
     $RecipeInfo[$prefix]['Version'] = $cookbook[$prefix]['version'];

/**
 * @note Variable/markup to use/display within wiki
 */
    // format "precode-2.1.1-20100112"
    $precodeVersion =
        $cookbook[$prefix]['name']."-".$cookbook[$prefix]['version']. '-'.$cookbook[$prefix]['date']['datenum'];
    $FmtPV['$precodeVersion'] = "'$precodeVersion'";
    //$FmtPV['$precodeVersion'] = '$GLOBALS["precodeVersion"]';

    $Precode['version'] = $cookbook[$prefix]['version'];
    $Precode['versionnum'] = $cookbook[$prefix]['versionnum'];

