<?php if (!defined('PmWiki')) exit();
/*
 * ----------------------
 *  HOW TO TEST ADAPTERS
 * ----------------------
 * 1. Configure the adapters (see adapter/README).
 * 2. Create a wikipage named Test.Precode using text from Test.Precode.txt
 * 3. Copy Test.Precode.php to local folder of your Pmwiki installation.
 * 4. Uncomment the relevant highlighter below (ONE only) to test
 *    installed adapter (adjust paths where needed in the adapter file).
 *
 */

// Basic Precode highlighter/presenter
$Precode['InitBase'] = 1;       #default 1
$Precode['InitHighlight'] = 1;  #default 0
$Precode['InitPresenter'] = 1;  #default 0

// 1 - Highlight.js (https://github.com/isagalaev/highlight.js)
//include_once("cookbook/precode/adapter/adapter.highlightjs.php");

// 2 - GeSHi adapter and sourceblock (http://qbnz.com/highlighter/geshi-doc.html)
//include_once("cookbook/precode/adapter/adapter.geshi.php");

// 3 - Sourceblock adapter - uses GeSHi (http://www.pmwiki.org/wiki/Cookbook/SourceBlock)
//include_once("cookbook/precode/adapter/adapter.sourceblock.geshi.php");

// 4 - Prettify adapter (http://code.google.com/p/google-code-prettify)
//include_once("cookbook/precode/adapter/adapter.prettify.php");

// 5 - Chilli adapter (http://noteslog.com/chili)
//$Precode['InitBase'] = 0;
//include_once("cookbook/precode/adapter/adapter.chilli.php");

// 6 - Syntaxlove adapter - uses SyntaxHighlighter (http://www.pmwiki.org/wiki/Cookbook/Syntaxlove)
//include_once("cookbook/precode/adapter/adapter.syntaxlove.syntaxhighlighter.php");

// 7 - Rainbow adapter - (http://craig.is/making/rainbows)
//$Precode['InitBase'] = 0;
//include_once("cookbook/precode/adapter/adapter.rainbow.php");

// 8 - Highlight.js (http://prismjs.com/)
//include_once("cookbook/precode/adapter/adapter.prismjs.php");

