/**
 * Hightlight - Precode Plugin
 * Dependencies (Precode.Base)
 * http://insteps.net
 *
 * @version 2.2.0
 * @copyright Copyright (C) 2012-2023 V.Krishn. All rights reserved.
 * @license GPL License
 *
 * This file is part of Cookbook recipe "Precode" for PmWiki;
 * See accompanying package for license and more details.
 * Package: http://insteps.net/pr/a/pmwiki/Cookbook/Precode
 */

(function( Precode, undefined ) {
  
  var Highlight = Precode.Highlight = function (config) {
    config.pres = config.pres || {};

    pres = Precode.config.nodes; if(typeof pres !== 'object') {
      pres = document.getElementsByTagName(pres); }

    for (var i = 0; i < pres.length; i++) {
      var pre = pres[i]; var codelines = 0;

      var code = pre.firstChild;
      if(Precode.codelines[code.id]) {
        var codelines = Precode.codelines[code.id];
      }
      var lns = ""; var temp = "";

      if(codelines < 0 || codelines == undefined) {
        if(code.innerHTML !== undefined) {
          var codelines = code.innerHTML.split(/\n/).length;
        }
      }

      if(codelines > 0 && code.tagName === 'CODE') {
        for (var j = 0; j < codelines; j++) {
          k = j+1; act = "";
          if(config.pres[pre.id] !== undefined) {
            _hgs = config.pres[pre.id];
            for(var t1 = 0; t1 < _hgs.length; t1++) {
              if(_hgs[t1] == k) { act = "active"; }
            }
          }
          var lns = lns + '<span class="numx '+ act +'">'+"&nbsp;"+'</span> ';
        }
        pre.innerHTML =  pre.innerHTML + "<span class='layer1'>"+lns+"</span>";
      }

    }
  }

}( Precode ) );

//var hgs = {"pres":{"pre1":["1","2","4"],"pre2":["1","3","7"]}};
//Precode.Highlight(hgs);

